/* SPDX-License-Identifier: GPL-2.0 */
/*
 * (C) Copyright 2023, Xilinx, Inc.
 */

#include <linux/pci.h>
#include <linux/pci-ecam.h>
#include <linux/platform_device.h>

/* Interrupt registers definitions */
#define XILINX_PCIE_INTR_LINK_DOWN		0
#define XILINX_PCIE_INTR_HOT_RESET		3
#define XILINX_PCIE_INTR_CFG_PCIE_TIMEOUT	4
#define XILINX_PCIE_INTR_CFG_TIMEOUT		8
#define XILINX_PCIE_INTR_CORRECTABLE		9
#define XILINX_PCIE_INTR_NONFATAL		10
#define XILINX_PCIE_INTR_FATAL			11
#define XILINX_PCIE_INTR_CFG_ERR_POISON		12
#define XILINX_PCIE_INTR_PME_TO_ACK_RCVD	15
#define XILINX_PCIE_INTR_INTX			16
#define XILINX_PCIE_INTR_PM_PME_RCVD		17
#define XILINX_PCIE_INTR_MSI			17
#define XILINX_PCIE_INTR_SLV_UNSUPP		20
#define XILINX_PCIE_INTR_SLV_UNEXP		21
#define XILINX_PCIE_INTR_SLV_COMPL		22
#define XILINX_PCIE_INTR_SLV_ERRP		23
#define XILINX_PCIE_INTR_SLV_CMPABT		24
#define XILINX_PCIE_INTR_SLV_ILLBUR		25
#define XILINX_PCIE_INTR_MST_DECERR		26
#define XILINX_PCIE_INTR_MST_SLVERR		27
#define XILINX_PCIE_INTR_SLV_PCIE_TIMEOUT	28
